VFS_CEPH_SNAPSHOTS(8)

NAME
vfs_ceph_snapshots - Expose CephFS snapshots as shadow-copies

SYNOPSIS

vfs objects = ceph_snapshots

DESCRIPTION

This VFS module is part of the samba(8) suite.

The vfs_ceph_snapshots VFS module exposes CephFS snapshots for use by Samba. When enabled, SMB clients such as Windows Explorer's Previous Versions dialog, can enumerate snapshots and access them via "timewarp" tokens.

This module can be combined with vfs_ceph, but vfs_ceph_snapshots must be listed first in the vfs objects parameter list.

CephFS support for ceph.snap.btime virtual extended attributes is required for this module to work properly. This support was added via https://tracker.ceph.com/issues/38838.

CONFIGURATION

When used atop vfs_ceph, path refers to an absolute path within the Ceph filesystem and should not be mounted locally:

    		[share]
    		vfs objects = ceph_snapshots ceph
    		path = /non-mounted/cephfs/path
    		kernel share modes = no

vfs_ceph_snapshots can also be used atop a kernel CephFS mounted share path, without vfs_ceph. In this case Samba's default VFS backend vfs_default is used:

    		[share]
    		vfs objects = ceph_snapshots
    		path = /mnt/cephfs/

OPTIONS

ceph:snapdir = subdirectory
    Allows for the configuration of the special CephFS snapshot subdirectory name. This parameter should only be changed from the ".snap" default if the ceph.conf client snapdir or snapdirname mount option settings are changed from their matching ".snap" defaults.

    Default: ceph:snapdir = .snap

    Example: ceph:snapdir = .snapshots

VERSION

This man page is part of version 4.14.7 of the Samba suite.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.